org.eclipse.eef.properties.ui.legacy.internal.extension.impl

## Class LegacyPropertyContributorRegistry

- java.lang.Object
- - org.eclipse.eef.properties.ui.legacy.internal.extension.impl.LegacyPropertyContributorRegistry

All Implemented Interfaces:
  IItemRegistry

    public class LegacyPropertyContributorRegistry
    extends java.lang.Object
    implements IItemRegistry

The registry used to track the descriptors of the property contributor extension.

### Constructor Summary

Constructors
Constructor and Description
`LegacyPropertyContributorRegistry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IItemDescriptor` `add(IItemDescriptor itemDescriptor)` Adds the given `IItemDescriptor` to the registry.
`void` `clear()` Clears the registry.
`java.util.List<java.lang.String>` `getPropertyCategories()` Get property categories.
`org.eclipse.ui.views.properties.tabbed.ISectionDescriptorProvider` `getSectionDescriptorProvider(java.lang.String contributorId)` Get property section descriptor provider.
`org.eclipse.ui.views.properties.tabbed.ITypeMapper` `getTypeMapper(java.lang.String contributorId)` Get property type mapper.
`boolean` `remove(java.lang.String id)` Removes the `IItemDescriptor` with the given identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyPropertyContributorRegistry

    public LegacyPropertyContributorRegistry()

### Method Detail

#### getPropertyCategories

    public java.util.List<java.lang.String> getPropertyCategories()

Get property categories.

Returns:
  List of categories

#### getTypeMapper

    public org.eclipse.ui.views.properties.tabbed.ITypeMapper getTypeMapper(java.lang.String contributorId)

Get property type mapper.

Parameters:
  `contributorId` - The contributor ID
Returns:
  Type mapper

#### getSectionDescriptorProvider

    public org.eclipse.ui.views.properties.tabbed.ISectionDescriptorProvider getSectionDescriptorProvider(java.lang.String contributorId)

Get property section descriptor provider.

Parameters:
  `contributorId` - The contributor ID
Returns:
  Section descriptor provider

#### add

    public IItemDescriptor add(IItemDescriptor itemDescriptor)

Adds the given `IItemDescriptor` to the registry.

Specified by:
  `add` in interface `IItemRegistry`
Parameters:
  `itemDescriptor` - The descriptor
Returns:
  The previous `IItemDescriptor` with the same identifier, or null if no registered `IItemDescriptor` had the same identifier
See Also:
  `IItemRegistry.add(IItemDescriptor)`

#### clear

    public void clear()

Clears the registry.

Specified by:
  `clear` in interface `IItemRegistry`
See Also:
  `IItemRegistry.clear()`

#### remove

    public boolean remove(java.lang.String id)

Removes the `IItemDescriptor` with the given identifier.

Specified by:
  `remove` in interface `IItemRegistry`
Parameters:
  `id` - The identifier
Returns:
  True if the element was removed, otherwise false
See Also:
  `IItemRegistry.remove(java.lang.String)`